node(label : 'builder') {
    stage('Preparation') {
        git 'https://gitlab.com/ronnakrit.bu/docker-demo.git'
    }
    stage('build'){
        def myTestContatiner = docker.image('node:4.6')
        myTestContatiner.pull()
        myTestContatiner.inside {
            sh 'npm install'
        }
    }
}